### File

`packages/ecl/components/ecl-site-footer/ecl-footer-elements/ec/ecl-site-footer-row-common/ecl-site-footer-row-common.component.ts`

### Description

There is some fixed content in the site footer, that cannot be changed by the user and is mandatory. This component represents this fixed content.

### Extends

`ECLBaseDirective`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `div[eclSiteFooterRowCommon]`
imports | `TranslateModule` `EUI_ECL_LINK` `EUI_ECL_SOCIAL_MEDIA_FOLLOW` `EclSiteFooterListItemDirective` `EclSiteFooterLinkDirective` `EclSiteFooterListDirective`
styleUrls | `./ecl-site-footer-row-common.css`
templateUrl | `./ecl-site-footer-row-common.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
isCore languageCode class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses logoLanguageCode

### Inputs

isCore
Type : `boolean`
Default value : `false`
If this is a core template. If it's standardised or harmonised footer, ec logo should be added.

languageCode
Type : `string`
The code of the current language. Used to translate the content.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

logoLanguageCode
get `logoLanguageCode()`
This method is used, when current language is not present for our available logo collection. In this case, a default logo is returned. Returns : `string`

# results matching ""

# No results matching ""